> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# starknet_getClassAt | Starknet

> Starknet API method that returns the class of a contract at a given address. It provides the class of a contract at a specific address.

<Note>
  **Starknet OpenRPC spec**

  For the latest version of the publicly maintained OpenRPC spec, see the [Starknet specs GitHub repo](https://github.com/starkware-libs/starknet-specs).
</Note>

Starknet API method that returns the class of a contract at a given address.

It provides the class of a contract at a specific address. This is useful for clients or wallets to inspect the class of a contract, which can provide information about the contract's functionality and behavior.

## Parameters

* `address` — the string of the address of the contract.

## Response

* `class` — the class of the contract at the given address.

## Use case

A practical use case for `starknet_getClassAt` is to retrieve the class of a specific contract. For example, a wallet may use this method to display the class of a contract to a user, or a client may use it to verify the class of a contract before interacting with it.

## Deprecated feeder gateway method

The feeder gateway was deprecated on [December 11, 2023](https://community.starknet.io/t/feeder-gateway-deprecation/100233).

Example of the call you had to make to the feeder gateway before the deprecation:

```Text Shell theme={"system"}
curl 'https://alpha-mainnet.starknet.io/feeder_gateway/get_full_contract?contractAddress=0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82'
```


## OpenAPI

````yaml openapi/starknet_node_api/starknet_getClassAt.json POST /365cf697a3ad6d950b4c4a911e2e4f4d
openapi: 3.0.0
info:
  title: starknet
  version: 1.0.0
  contact: {}
servers:
  - url: https://starknet-mainnet.core.chainstack.com
security: []
paths:
  /365cf697a3ad6d950b4c4a911e2e4f4d:
    post:
      summary: starknet_getClassAt
      description: starknet_getClassAt
      operationId: starknetGetClassAt
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: starknet_getClassAt
                params:
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          block_number:
                            type: integer
                            default: 385940
                      - type: string
                        default: >-
                          0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82
              default:
                id: 1
                jsonrpc: '2.0'
                method: starknet_getClassAt
                params:
                  - block_number: 385940
                  - >-
                    0x073314940630fd6dcda0d772d4c972c4e0a9946bef9dabf4ef84eda8ef542b82
      responses:
        '200':
          description: Successful response

````